transpose_font(3)

NAME
transpose_font - Transposes all characters in a font. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int transpose_font(FONT *f, int drange)

DESCRIPTION
This function transposes all characters in a font, effectively remapping the font. Example:
   FONT *myfont;
   FONT *capitals;
   ...
   /* Create a font of only capital letters */
   capitals = extract_font_range(myfont, 'A', 'Z');

   /* Now transpose the characters in the font so that they will be used */
   /*  for the lower case letters a-z */
   transpose_font(capitals, 'a'-'A');
   textout_ex(screen, capitals, "allcaps",
              100, 100, makecol(255,255,255), 0);

RETURN VALUE
Returns 0 on success, -1 on failure.

SEE ALSO
get_font_range_begin(3), get_font_range_end(3), merge_fonts(3), extract_font_range(3)